; Reference :
; How To Obtain a Console Window Handle (HWND)
; http://support.microsoft.com/kb/124103

include GetConsHandle.inc

BUFFER_SIZE = 256

.data

TitleFormat1  db '%d-%d',0

.code

GetConsHandle PROC USES esi

LOCAL szConsTitle[BUFFER_SIZE]:BYTE
LOCAL buffer[BUFFER_SIZE]:BYTE

    lea     esi,[buffer]
    invoke  GetConsoleTitle,ADDR szConsTitle,BUFFER_SIZE

    invoke  GetCurrentProcessId
    push    eax
    invoke  GetTickCount
    push    eax
    push    OFFSET TitleFormat1
    push    esi
    call    wsprintf
    add     esp,4*4

    invoke  SetConsoleTitle,esi
    invoke  Sleep,50
    invoke  FindWindow,0,esi
    mov     esi,eax
    
    invoke  SetConsoleTitle,ADDR szConsTitle
    mov     eax,esi
    ret

GetConsHandle ENDP

END


